I am writing a code to select an object (crossing) and to stretch it a certain distance on the y axis. This is the code that I have to select the object, but I cannot find what to use to stretch it. I actually found something to scale it, but it is not what I need. With ThisDrawing.Utility
Dim SP1sel1(0 To 2) As Double
Dim SP1sel2(0 To 2) As Double
Dim objSS As AcadSelectionSe
Set objSS = ThisDrawing.SelectionSets.Add("zzadsaaafatt")
' Select the object
[code]....
I have recently upgraded to 2013 from 2007 and I am having some weird trouble with the move command. I will try to explain.. I type the move command and then select a particular object I would like to move a little and it grabs some (not all) of other objects/lines near it and then stretches the lot in all directions! It actually doesn't allow me to move it at all without stretching/extending all these areas. I have tried everything I can think of and am not sure what I am missing. I thought it was somehow related to the polyline I was selecting, but it does it to single lines as well.
I have a complex object (a plot with a bunch of text labels, etc.), and I want to stretch it horizontally or vertically without distorting text. I have an option to scale or not to scale strokes,. However, whatever I select here, the text always ends up distorted.
Is there a way to stretch it so that the text retains it's original shape?
I'm trying to wrap an image around a curved object. This is a front elevation of a sign I am attempting to render and the sign wraps around a pole. What I am attempting to do is not just "squeeze" the copy but actually attempt to show what the image will look like if you are looking directly at it which means that the closest portion of the image will look normal but as you look further out towards the edges then the graphic and copy would appear to merge and disappear backwards. I hope I am explaining this well. I am trying to wrap my brain around this concept. I know you can do this in photoshop with stretching but cannot fathom how I can attempt this in CorelDraw or Illustrator.
Resizing objects is a mess in CorelDRAW X6 when objects are outlined with Scale With Object enabled to retain proportions after resizing.
None of the tools dealing with outlines (e.g. Contour or even Outline itself) continue to work properly after resizing the object.
I strongly suggest to recalculate outline property values after resizing if Scale With Object is checked. Don't just do it hidden somewhere internally in the object model by applying a temporary scaling factor. Instead actually recalculate the actual property values if Scale With Object is checked.
CorelDRAW Graphic Suite X6.4 @ Windows 7/Windows 8 - 64 Bit, Windows Server 2008 R2, Windows Server 2012
I'm working with 27 artboard in illustrator for one project. I would like to select the object I need to get to in my layers panel and have illustrator "jump/navigate" me to the object where it resides on the artboard. Is this possible?
I want to create a group for the object be selected. but the following code doesn't work.
[CommandMethod("gr")] public static void SelectObjectsOnscreen() { //Get the current document and database Document acDoc = Application.DocumentManager.MdiActiveDocument; Database acCurDb = acDoc.Database;
i am drawing a chamfered-counterbored cylinder... i meet the problem: unable to revolve the selected object ! After i convert the object i drawng to closed Polyline path with the Pedit command, it cant be revolve !
Prior to the latest drawing editor crash, the display in my LAYERS toolbar would always display the layer of any single object that I would select without a command being active. After recovering, I find that this feature no longer operates.
I've been following the Convert 2D to 3D video that is given in the Help section of AutoCAD 2012, and whenever I try to sweep the handle using the same methods that were used in the video it says that it is unable to sweep 1 selected object (when I select the path). I've attached the DWG file.
Also, when I went to use the 3D align feature I did exactly as the video did, but my handle wouldn't align with the side of the mug. It kept lining up with the side but never between the top and bottom of the mug like you'd expect. I kept having to move it to get it down where it needed to be.
as the subject states, at some point (I believe after uninstalling autodesk 360), our properties tool pallete will not populate info for the selected object. is there a fix other than re-installing from scratch? The installation fixer didn't work, and I've had to re-install twice now for other issues with the software, so it's getting very costly/time consuming to just re-install for these problems.
If I select some objects (i.e. pipe, feature line, etc.) and right click to bring up my shortcuts, I click on SOME commands (i.e. object viewer, elevation editor, etc....respectively, the command does not progress....it forces me back to a selection box cursor and I have to reselect the object.
For example, I select a pipe, I then right click, shortcut menu pops up, I select "object viewer", and then my previous slection is not granted and it asked for a new selection (it used to always just proceed with the command), I then have to select the pipe I had previously seleted, and the command proceeds as normal.
not a bid deal, but it slowing down my productivity having to select these items twice. The wierd thing is that it is not like this with all of my right click short cut commands...only a few!?
When I set a layer as current, every object or line I select in the drawing appear to be on that layer in the toolbar. Although in the properties toolbox, I see that the line I selected is still on the right layer.
I can't work in paperspace either, when I freeze a layer it freezes all objects. It seems like whenever I give a different layer to an object, it attributes to all object that same layer.
When I open the same drawing in acad 2008, everything is ok, the objects have the proper layers.
Is there a command for that or it's an acad 2013 problem?
I thought this would be a simple tblsearch process, but as far as I can tell, there isn't a tblsearch symbol table for vplayer settings, so I need to get more creative I guess.
I want to be able to get the vplayer color of a selected object as part of a larger routine I'm putting together.
Is there a way to determine the type of ACAD object that the user selected? I need to retrieve the value from either a dimension or text. The info could be in either format so the lisp routine needs to determine what was selected so the correct vla-get command is used.
Once I determine what the object is I can use an if statement to retrieve the value.
;user selects the object (setq dimobj (vlax-ename->vla-object(car(entsel)))) ;If ACAD object is a dimension do this. (setq dimvalue (vla-get-textoverride dimobj)) ;If ACAD object is text do this. (setq dimvalue (vla-get-textstring dimobj))
Just starting to use 2014, and so far not so good. I tend to keep the Properties Palette open and docked. In 2014, if my current layer is 0, any object I select in a drawing shows as Layer 0 in the Design tab of the Properties palette. If I change to a different layer, any object selected shows that layer in the Properties palette. If I start a new drawing, enter WALLADD and draw a wall segment, the A-WALL layer now correctly appears in the Layer Manager, but when I select the wall, the Layer in Properties is the current layer, not the A-WALL layer it should have gone on. Also, Quick Properties is on, but doesn't pop up anywhere.
I need a lisp file that can read the total length of selected object (lignes, polylines) and summarize them by layers or by color in a table
e.g
command:tl (total length) select objects found total length....... select object (Ent) total length or [Add/Subtract/Table] : total length = ....... if table Enter an option by [ Layer/Color/line Type/line Weight] <layer> :
I need to create a series of "trays" that are in the shape of letters. I am having some success with certain letters, but zero success with others.
I am creating these letters using a curve brought in from illustrator, and sweeping the profile that I want to use around the curve to create the outside.I am then using presspull to create the base of the tray.
However, sometimes the sweep command will simply say "unable to sweep 1 selected object" with no explanation as to why.
Sometimes I will get the shape that I want, but it is facing the wrong way, and I cannot fix it. Other times it will simply stall and then delete both the curve and the profile.
Sometimes I get an overspray on a selected object. The object is selected and then inversersed. The object is then setup to be painted on the outside. I select a hard brush @ 100% and start painting..like I said it will be ok until I get to certain portion and I get like an overspspray. I have the setting on 0 feather on the marque tool, but there is no other setting on other tools for feathering. The object is in the regular ps mode and is not layered.. "how do selected an object to insure that I do not get any paint on the inside"...Are there more adjustment I can make that I do not see.
Is there any way in Illustrator to zoom to selected object (I want to maximize the selected object to the window)? There is the FitArtboard and the FitAll, but a ZoomToSelected.